OpenNMS API 1.2.9

## org.opennms.web
Class InitializerServletContextListener

    java.lang.Object
      org.opennms.web.InitializerServletContextListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

public class InitializerServletContextListener
extends java.lang.Object
implements javax.servlet.ServletContextListener

Initializes our internal servlet systems at servlet container startup, and destroys any pool resources at servlet container shutdown. This listener is specified in the web.xml to listen to `ServletContext` lifecyle events. On startup it calls ServletInitializer.init and initializes the UserFactory, GroupFactory. On shutdown it calls ServletInitializer.destroy.

Author:
  Lawrence Karnowski , OpenNMS

Nested Class Summary
`class` `InitializerServletContextListener.RTCPostSubscriberTimerTask`

Field Summary
`private java.util.Timer` `rtcCheckTimer`

Constructor Summary
`InitializerServletContextListener()`

Method Summary
`void` `contextDestroyed(javax.servlet.ServletContextEvent event)`
`void` `contextInitialized(javax.servlet.ServletContextEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rtcCheckTimer

    private java.util.Timer rtcCheckTimer

Constructor Detail

### InitializerServletContextListener

    public InitializerServletContextListener()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.